import java.util.Scanner;

public class ReadNumberAndCharacterOnSameLine {
    public static void main(String[] args){
    	Scanner kbScanner = new Scanner(System.in);
    	char ch;
    	double num;
        System.out.println("Enter a number followed by a character in the same line: ");
        num = kbScanner.nextDouble();
        ch = kbScanner.next().charAt(0);   // Don't use nextLine in reading the character
                                                                 // otherwise it will read the white spaces that separated the number
                                                                // and the character.
        System.out.println("The number is: " + num + ", the character is: " + ch);
    }
}
